# RustForm

Install [RustForm](https://git.paquerette.eu/paquerette/developpements/rust-form) in the server. 

## Files created

This role create the following files : 

  - **/etc/nginx/site-available/{{ app_instance_id }}.conf**
  - **{{ binary_location }}**
  - **/etc/systemd/system/{{ app_instance_id }}.service**
  - **{{ app_instance_root}}

## Files modified

## Role dependency

- _letsencrypt_certificate

## Role Variables

### Default

 - app_program: RustForm
 - app_instance_root: "{{ www_root }}/{{ app_instance_id }}"
 - app_instance_www_root: "{{ app_instance_root }}"
 - app_port: 3200
 - binary_src: ./rust_form
 - binary_location: /usr/local/bin/rust_form
 - app_service: "{{ app_instance_id }}"
 - rev_proxy: nginx

### host_vars

```yaml
 app_instance_id
 app_domain
 mosparo :
    privatekey: MY_PRIVATE_KEY
    publickey: MY_PUBLIC_KEY
    url: URL
 clients:
    - id: CLIENT_ID
      email: "EMAIL@DOMAIN.TLD
      subject: "SUBJECT PROMPT"
      domain: "WEBSITE_DOMAIN"
      mosparo: true/fals
  mail:
    from: MAIL@FROM.TLD
    user: USER
    pwd: "MY_STRONG_PASSWORD"
    security: starttls
    port: 587
    url: mail.server.tld
    
## Role dependencies

 - _letsencrypt_certificate
 
## Custom informations

 - You must compile and download binary before using role.

## TODO

- [ ] remove duplicate value like app_domain
- [ ] set more default values like mail port and security
